dev_valid_name
Prev | Driver Support | Next

## Name

dev_valid_name — check if name is okay for network device

## Synopsis

`int dev_valid_name (` | const char * | name`)`;

## Arguments

`name`

  name string

## Description

Network device names need to be valid file names to to allow sysfs to work. We also disallow any kind of whitespace.

Prev | Up | Next
dev_get_by_flags | Home | dev_alloc_name